org.eclipse.actf.ui.util

## Class DialogSave

- java.lang.Object
- - org.eclipse.actf.ui.util.DialogSave

    public class DialogSave
    extends Object

Utility class to open dialog to enable users to specify target file name.

### Field Summary

Fields
`static int` `ALL` The constant to target all files.
`static int` `BMP` The constant to specify Bitmap files as a target.
`static int` `CSV` The constant to specify CSV files as a target.
`static int` `HTML` The constant to specify HTML files as a target.
`static int` `XML` The constant to specify XML files as a target.

### Constructor Summary

Constructors
Constructor and Description
`DialogSave()`

### Method Summary

Methods
`static String` `open(Shell shell, int type, String targetNameBase, String ext)` Open dialog to enable users to specify target file name to save.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALL

    public static final int ALL

The constant to target all files.

See Also:
  Constant Field Values

#### HTML

    public static final int HTML

The constant to specify HTML files as a target.

See Also:
  Constant Field Values

#### BMP

    public static final int BMP

The constant to specify Bitmap files as a target.

See Also:
  Constant Field Values

#### XML

    public static final int XML

The constant to specify XML files as a target.

See Also:
  Constant Field Values

#### CSV

    public static final int CSV

The constant to specify CSV files as a target.

See Also:
  Constant Field Values

### Constructor Detail

#### DialogSave

    public DialogSave()

### Method Detail

#### open

    public static String open(Shell shell,
              int type,
              String targetNameBase,
              String ext)

Open dialog to enable users to specify target file name to save.

Parameters:
  `shell` - parent shell
  `type` - File Type (HTML or BMP)
  `targetNameBase` - file name to save
  `ext` - additional file name to be append to targetNameBase
Returns:
  the resulting file name of the saved file